acf2AR {stats} | R Documentation

## Compute an AR Process Exactly Fitting an ACF

### Description

Compute an AR process exactly fitting an autocorrelation function.

### Usage

    acf2AR(acf)

### Arguments

`acf` | An autocorrelation or autocovariance sequence.

### Value

A matrix, with one row for the computed AR(p) coefficients for `1 <= p <= length(acf)`.

### See Also

`ARMAacf`, `ar.yw` which does this from an empirical ACF.

### Examples

    (Acf <- ARMAacf(c(0.6, 0.3, -0.2)))
    acf2AR(Acf)

[Package stats version 3.4.2 Index]